View Issue Details

IDProjectCategoryView StatusLast Update
0025537LazarusIDEpublic2014-01-17 13:55
ReporterDennis Fehr Assigned ToMattias Gaertner  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformUbuntuOSSaucy 
Product Version1.0.15 (SVN) 
Summary0025537: Code Tools: Variables marked as 'external' or 'export' or 'public' not catched
DescriptionFPC compiles fine with these flags, but Code Tools breaks when it comes accross them.
Steps To Reproduce1 - Create Basic Program
2 - Create a variable section and add a variable with added flags
3 - Open Code hint on any function/procedure for example
TagsNo tags attached.
Fixed in Revision43751 43752
LazTarget1.2
Widgetset
Attached Files

Activities

Dennis Fehr

2014-01-14 23:39

reporter  

test.pas (443 bytes)   
Program Test;

// A Test showing the various uses of the Variable Flags //

Var
  SomeVar : PChar External 'some_lib' Name 'somevar';
  SomeOtherProgramHasAccessToThisVar : Integer Public Name 'somevar2';
  SomeOtherVar : Word Public;
  SomeOtherOtherVar : LongInt External Name 'somevar3';
  somevar4 : Byte External;
  somevar5 : Integer External 'some_lib';

// Try to do Code-Hint on the below 'Writeln' //

Begin
  Writeln(SomeVar);
End.
test.pas (443 bytes)   

Issue History

Date Modified Username Field Change
2014-01-14 23:39 Dennis Fehr New Issue
2014-01-14 23:39 Dennis Fehr File Added: test.pas
2014-01-15 08:58 Mattias Gaertner Assigned To => Mattias Gaertner
2014-01-15 08:58 Mattias Gaertner Status new => assigned
2014-01-17 11:55 Mattias Gaertner Fixed in Revision => 43751
2014-01-17 11:55 Mattias Gaertner LazTarget => 1.2
2014-01-17 11:55 Mattias Gaertner Status assigned => resolved
2014-01-17 11:55 Mattias Gaertner Resolution open => fixed
2014-01-17 13:55 Mattias Gaertner Fixed in Revision 43751 => 43751 43752